Package com.stardog.stark.query.io.xml

# Class SPARQLXMLBooleanResultWriter

java.lang.Object
com.stardog.stark.query.io.xml.AbstractSPARQLXMLWriter<Boolean>
com.stardog.stark.query.io.xml.SPARQLXMLBooleanResultWriter

All Implemented Interfaces:
  `BooleanQueryResultHandler`, `BooleanQueryResultWriter`, `QueryResultWriter<Boolean>`, `QueryResultHandler<Boolean>`

public final class SPARQLXMLBooleanResultWriter extends AbstractSPARQLXMLWriter<Boolean> implements BooleanQueryResultWriter

`Writer` for `BooleanQueryResult` which will serialize results in SPARQL/XML format.

Since:
  1.0
Version:
  1.0
Author:
  Michael Grove

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `SPARQLXMLBooleanResultWriter.SPARQLXMLSelectResultWriterFactory`
  `Factory` for `SPARQLXMLBooleanResultWriter`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BINDING_NAME_ATT`
  `static final String`
  `BINDING_TAG`
  `static final String`
  `BNODE_TAG`
  `static final String`
  `BOOLEAN_FALSE`
  `static final String`
  `BOOLEAN_TAG`
  `static final String`
  `BOOLEAN_TRUE`
  `static final String`
  `CONTEXT_TAG`
  `static final String`
  `HEAD_TAG`
  `static final String`
  `HREF_ATT`
  `static final String`
  `LINK_TAG`
  `static final String`
  `LITERAL_DATATYPE_ATT`
  `static final String`
  `LITERAL_LANG_ATT`
  `static final String`
  `LITERAL_TAG`
  `static final String`
  `NAMESPACE`
  `static final String`
  `OBJECT_TAG`
  `static final String`
  `PREDICATE_TAG`
  `static final String`
  `QNAME`
  `static final String`
  `RESULT_SET_TAG`
  `static final String`
  `RESULT_TAG`
  `static final String`
  `ROOT_TAG`
  `static final String`
  `STATEMENT_TAG`
  `static final String`
  `SUBJECT_TAG`
  `static final String`
  `UNBOUND_TAG`
  `static final String`
  `URI_TAG`
  `static final String`
  `VAR_NAME_ATT`
  `static final String`
  `VAR_TAG`

  ### Fields inherited from class com.stardog.stark.query.io.xml.AbstractSPARQLXMLWriter

  `documentOpen, headerComplete, headerOpen, mNamespaces, mOptions, mWriter, tupleVariablesFound`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SPARQLXMLBooleanResultWriter(OutputStream theOutputStream, Options theOptions)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QueryResultFormat`
  `format()`
  The `format` this writer will serialize output in
  `void`
  `handle(Boolean theResult)`
  Handle a result to a query

  ### Methods inherited from class com.stardog.stark.query.io.xml.AbstractSPARQLXMLWriter

  `end, links, namespace, start`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.stardog.stark.query.io.QueryResultWriter

  `end, links, namespace, start`

- ## Field Details

  - ### NAMESPACE

    static final String NAMESPACE
    See Also:
      - Constant Field Values

  - ### ROOT_TAG

    static final String ROOT_TAG
    See Also:
      - Constant Field Values

  - ### HEAD_TAG

    static final String HEAD_TAG
    See Also:
      - Constant Field Values

  - ### LINK_TAG

    static final String LINK_TAG
    See Also:
      - Constant Field Values

  - ### VAR_TAG

    static final String VAR_TAG
    See Also:
      - Constant Field Values

  - ### VAR_NAME_ATT

    static final String VAR_NAME_ATT
    See Also:
      - Constant Field Values

  - ### HREF_ATT

    static final String HREF_ATT
    See Also:
      - Constant Field Values

  - ### BOOLEAN_TAG

    static final String BOOLEAN_TAG
    See Also:
      - Constant Field Values

  - ### BOOLEAN_TRUE

    static final String BOOLEAN_TRUE
    See Also:
      - Constant Field Values

  - ### BOOLEAN_FALSE

    static final String BOOLEAN_FALSE
    See Also:
      - Constant Field Values

  - ### RESULT_SET_TAG

    static final String RESULT_SET_TAG
    See Also:
      - Constant Field Values

  - ### RESULT_TAG

    static final String RESULT_TAG
    See Also:
      - Constant Field Values

  - ### BINDING_TAG

    static final String BINDING_TAG
    See Also:
      - Constant Field Values

  - ### BINDING_NAME_ATT

    static final String BINDING_NAME_ATT
    See Also:
      - Constant Field Values

  - ### URI_TAG

    static final String URI_TAG
    See Also:
      - Constant Field Values

  - ### BNODE_TAG

    static final String BNODE_TAG
    See Also:
      - Constant Field Values

  - ### LITERAL_TAG

    static final String LITERAL_TAG
    See Also:
      - Constant Field Values

  - ### LITERAL_LANG_ATT

    static final String LITERAL_LANG_ATT
    See Also:
      - Constant Field Values

  - ### LITERAL_DATATYPE_ATT

    static final String LITERAL_DATATYPE_ATT
    See Also:
      - Constant Field Values

  - ### UNBOUND_TAG

    static final String UNBOUND_TAG
    See Also:
      - Constant Field Values

  - ### QNAME

    static final String QNAME
    See Also:
      - Constant Field Values

  - ### STATEMENT_TAG

    static final String STATEMENT_TAG
    See Also:
      - Constant Field Values

  - ### SUBJECT_TAG

    static final String SUBJECT_TAG
    See Also:
      - Constant Field Values

  - ### PREDICATE_TAG

    static final String PREDICATE_TAG
    See Also:
      - Constant Field Values

  - ### OBJECT_TAG

    static final String OBJECT_TAG
    See Also:
      - Constant Field Values

  - ### CONTEXT_TAG

    static final String CONTEXT_TAG
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SPARQLXMLBooleanResultWriter

    public SPARQLXMLBooleanResultWriter(OutputStream theOutputStream, Options theOptions)

- ## Method Details

  - ### handle

    public void handle(@Nonnull Boolean theResult) throws ResultWritingFailed
    Handle a result to a query
    Specified by:
      `handle` in interface `BooleanQueryResultHandler`
    Specified by:
      `handle` in interface `QueryResultHandler<Boolean>`
    Specified by:
      `handle` in interface `QueryResultWriter<Boolean>`
    Parameters:
      `theResult` - the result
    Throws:
      `ResultWritingFailed`

  - ### format

    @Nonnull public QueryResultFormat format()
    The `format` this writer will serialize output in
    Specified by:
      `format` in interface `QueryResultWriter<Boolean>`
    Returns:
      the format